org.wso2.carbon.device.mgt.mobile.windows.api.common

## Class PluginConstants.OperationCodes

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.PluginConstants.OperationCodes

- Enclosing class:
    PluginConstants

      public final class PluginConstants.OperationCodes
      extends Object

  Device Operation codes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALPHANUMERIC_PASSWORD`
    `static String` | `CAMERA`
    `static String` | `CAMERA_STATUS`
    `static String` | `DEVICE_INFO`
    `static String` | `DEVICE_LOCATION`
    `static String` | `DEVICE_LOCK`
    `static String` | `DEVICE_PASSCODE_DELETE`
    `static String` | `DEVICE_PASSWORD_ENABLE`
    `static String` | `DEVICE_PASSWORD_STATUS`
    `static String` | `DEVICE_REBOOT`
    `static String` | `DEVICE_RING`
    `static String` | `DISENROLL`
    `static String` | `ENCRYPT_STORAGE`
    `static String` | `ENCRYPT_STORAGE_STATUS`
    `static String` | `LATITUDE`
    `static String` | `LOCK_RESET`
    `static String` | `LONGITUDE`
    `static String` | `MAX_PASSWORD_INACTIVE_TIME`
    `static String` | `MIN_PASSWORD_COMPLEX_CHARACTERS`
    `static String` | `MIN_PASSWORD_LENGTH`
    `static String` | `MONITOR`
    `static String` | `PASSCODE_POLICY`
    `static String` | `PASSWORD_EXPIRE`
    `static String` | `PASSWORD_HISTORY`
    `static String` | `PASSWORD_MAX_FAIL_ATTEMPTS`
    `static String` | `PIN_CODE`
    `static String` | `POLICY_BUNDLE`
    `static String` | `POLICY_REVOKE`
    `static String` | `SIMPLE_PASSWORD`
    `static String` | `WIPE_DATA`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_LOCK

          public static final String DEVICE_LOCK

      See Also:
        Constant Field Values

    - #### DISENROLL

          public static final String DISENROLL

      See Also:
        Constant Field Values

    - #### DEVICE_RING

          public static final String DEVICE_RING

      See Also:
        Constant Field Values

    - #### WIPE_DATA

          public static final String WIPE_DATA

      See Also:
        Constant Field Values

    - #### ENCRYPT_STORAGE

          public static final String ENCRYPT_STORAGE

      See Also:
        Constant Field Values

    - #### LOCK_RESET

          public static final String LOCK_RESET

      See Also:
        Constant Field Values

    - #### PIN_CODE

          public static final String PIN_CODE

      See Also:
        Constant Field Values

    - #### CAMERA

          public static final String CAMERA

      See Also:
        Constant Field Values

    - #### PASSCODE_POLICY

          public static final String PASSCODE_POLICY

      See Also:
        Constant Field Values

    - #### PASSWORD_EXPIRE

          public static final String PASSWORD_EXPIRE

      See Also:
        Constant Field Values

    - #### PASSWORD_HISTORY

          public static final String PASSWORD_HISTORY

      See Also:
        Constant Field Values

    - #### MAX_PASSWORD_INACTIVE_TIME

          public static final String MAX_PASSWORD_INACTIVE_TIME

      See Also:
        Constant Field Values

    - #### MIN_PASSWORD_COMPLEX_CHARACTERS

          public static final String MIN_PASSWORD_COMPLEX_CHARACTERS

      See Also:
        Constant Field Values

    - #### ALPHANUMERIC_PASSWORD

          public static final String ALPHANUMERIC_PASSWORD

      See Also:
        Constant Field Values

    - #### SIMPLE_PASSWORD

          public static final String SIMPLE_PASSWORD

      See Also:
        Constant Field Values

    - #### MIN_PASSWORD_LENGTH

          public static final String MIN_PASSWORD_LENGTH

      See Also:
        Constant Field Values

    - #### DEVICE_PASSWORD_ENABLE

          public static final String DEVICE_PASSWORD_ENABLE

      See Also:
        Constant Field Values

    - #### PASSWORD_MAX_FAIL_ATTEMPTS

          public static final String PASSWORD_MAX_FAIL_ATTEMPTS

      See Also:
        Constant Field Values

    - #### MONITOR

          public static final String MONITOR

      See Also:
        Constant Field Values

    - #### CAMERA_STATUS

          public static final String CAMERA_STATUS

      See Also:
        Constant Field Values

    - #### POLICY_BUNDLE

          public static final String POLICY_BUNDLE

      See Also:
        Constant Field Values

    - #### ENCRYPT_STORAGE_STATUS

          public static final String ENCRYPT_STORAGE_STATUS

      See Also:
        Constant Field Values

    - #### DEVICE_PASSWORD_STATUS

          public static final String DEVICE_PASSWORD_STATUS

      See Also:
        Constant Field Values

    - #### DEVICE_PASSCODE_DELETE

          public static final String DEVICE_PASSCODE_DELETE

      See Also:
        Constant Field Values

    - #### DEVICE_INFO

          public static final String DEVICE_INFO

      See Also:
        Constant Field Values

    - #### POLICY_REVOKE

          public static final String POLICY_REVOKE

      See Also:
        Constant Field Values

    - #### DEVICE_LOCATION

          public static final String DEVICE_LOCATION

      See Also:
        Constant Field Values

    - #### LONGITUDE

          public static final String LONGITUDE

      See Also:
        Constant Field Values

    - #### LATITUDE

          public static final String LATITUDE

      See Also:
        Constant Field Values

    - #### DEVICE_REBOOT

          public static final String DEVICE_REBOOT

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.